> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/tracking/sleep/add-sleep-time.md).

# Add Sleep Time

Use the `addSleepTime` mutation to add the total overall sleep without wake times in minutes.

### **Required Arguments**

| Argument | Type | Note                                                                              |
| -------- | ---- | --------------------------------------------------------------------------------- |
| `date`   | Date | The date when the sleep time entrie will be counted. Use the format: `YYYY-MM-DD` |
| `value`  | Int! | overall sleep duration without wake times in minutes                              |

### **Available Fields**

| Field     | Type    | Note                                                                                   |
| --------- | ------- | -------------------------------------------------------------------------------------- |
| `success` | Boolean | **true:** If the entry has been created successfully. Otherwise, it displays **false** |
| `message` | String  | The message returns either if the information has been updated or not.                 |

### Example <a href="#example" id="example"></a>

{% tabs %}
{% tab title="Request" %}

```graphql
mutation {
  addSleepTime (value: 480, date: "2022-08-11") {
    success
    message
  }
}
```

{% endtab %}

{% tab title="Headers" %}

```graphql
{
  "Authorization": "Bearer <insert_your_token_here>"
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "addExerciseEntry": {
      "success": true,
      "message": "Sleep Time added"
    }
  }
}
```

{% endtab %}
{% endtabs %}

### UI Example

![](/files/secohpidTuBjBqMl0Uya)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/tracking/sleep/add-sleep-time.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
